Subject: [Sip] Section 17.1.1.2, RFC 3261

From: Idnani Ajaykumar-AIDNANI1 <[email-masked]>
Date: Mon, 28 Feb 2005 11:09:24 -0600

Hi All,
 
I was reading section 17.1.1.2 of RFC 3261 and I had some basic questions, so I thought I will ask the experts.
 
1. What is the UAC supposed to do when it is in the Proceeding state and it does not receive any final response? The text in section 17.1.1.2 does talk about this case. Also when I look at the flow in Firgure 5, there seems to be no timer attached to get out of the 'Proceeding' state. There is one attached to 'Calling' (Timer B) and 'Completed' (Timer D) states, but none to 'Proceeding' state. So are we saying that once you get into Proceeding state and the other end fails for some reason, the UAC is stuck.
 
Or is the figure inaccurate and it should really show a Timer B associated with one of the arrows coming out of that state? In which case my questions would be does a provisional response reset this timer? Otherwise an INVITE transaction would be constrained to 32secs assuming a T1 of 500ms (i.e. a call should go from 'Calling' to 'Completed' in 32secs!
 
Appreciate your responses.
 
Thank you.
- Ajay  
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip